API DocumentationManufacturer customer organisation controller

Update a customer organization

PATCH
/api/manufacturer/v1/organisation/{organisationId}

Updates details of an existing customer organization

Authorization

Phasio API Bearer Token
headerAuthorizationBearer <token>

Path Parameters

organisationId*integer

ID of the organization to update

Formatint64

Request Body

application/json
  1. body
name?string
canAccessDashboard?boolean
taxExempt?boolean
language?string
accountingSystemId?string
isApproved?boolean
customerType?string
Value in"PRO_FORMA""ACCOUNT""INTERNAL"
paymentTermId?string
Formatuuid
clearPaymentTerm*boolean
incoterm?string
Value in"EXW""FCA""CPT""CIP""DAP""DPU""DDP""FAS""FOB""CFR""CIF"
clearIncoterm*boolean
companyName?string

Name synced to the accounting system; may repeat across organisations

defaultSchedulePriority?integer

Schedule priority a work order of this organisation gets when it sets none; 1 (lowest) to 100

Formatint32

Response Body

Organization updated successfully

application/json
  1. response
id*integer
Formatint64
hasCustomPricing*boolean
name?string
companyName?string
taxExempt*boolean
isApproved*boolean
customerType*string
paymentTerm?
incoterm?string
Value in"EXW""FCA""CPT""CIP""DAP""DPU""DDP""FAS""FOB""CFR""CIF"
createdAt*string
Formatdate-time
updateDt*string
Formatdate-time
customers*array<>
addresses*array<|>
encryptionKeyId?string
firstTouchSource?string
language?string
accountingSystemId?string
deleted*boolean
metadata*array<>
defaultSchedulePriority*integer
Formatint32
curl -X PATCH 'https://m-api.eu.phas.io/api/manufacturer/v1/organisation/1' \  -H 'Content-Type: application/json' \  -d '{  "clearPaymentTerm": true,  "clearIncoterm": true}'
{  "id": 0,  "hasCustomPricing": true,  "name": "string",  "companyName": "string",  "taxExempt": true,  "isApproved": true,  "customerType": "string",  "paymentTerm": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "accountingSystemTermId": "string"  },  "incoterm": "EXW",  "createdAt": "2019-08-24T14:15:22Z",  "updateDt": "2019-08-24T14:15:22Z",  "customers": [    {      "email": "string",      "customerId": 0,      "organisationId": 0,      "organisationName": "string",      "isApproved": true,      "firstName": "string",      "lastName": "string",      "phoneNumber": "string",      "notificationPreference": "string",      "discountId": 0,      "discountPercentage": 0,      "language": "string"    }  ],  "addresses": [    {      "addressId": 0,      "isBillingAddress": true,      "isShippingAddress": true,      "street1": "string",      "street2": "string",      "city": "string",      "state": "string",      "country": "string",      "countryAlpha2Code": "string",      "countryAlpha3Code": "string",      "jurisdictionIsoCode": "string",      "zip": "string",      "name": "string",      "company": "string",      "phone": "string",      "email": "string",      "residential": true,      "addressType": "string",      "isDeleted": true,      "taxId": "string"    }  ],  "encryptionKeyId": "string",  "firstTouchSource": "string",  "language": "string",  "accountingSystemId": "string",  "deleted": true,  "metadata": [    {      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",      "metadataKey": "string",      "value": "string"    }  ],  "defaultSchedulePriority": 0}

Last updated on